Bug 1054967 - Couldn't recognize the image file format for file '/usr/share/gimp/2.0/patterns/GPS-Pat/Canvas-Covered.xcf'
Summary: Couldn't recognize the image file format for file '/usr/share/gimp/2.0/patter...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp-paint-studio
Version: 20
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 20:47 UTC by Cristian Ciupitu
Modified: 2014-12-07 04:34 UTC (History)
3 users (show)

Fixed In Version: gimp-paint-studio-2.0-8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-05 01:11:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Cristian Ciupitu 2014-01-17 20:47:15 UTC
Description of problem:


Version-Release number of selected component (if applicable):
gimp-paint-studio-2.0-6.fc20.noarch

How reproducible:


Steps to Reproduce:
1. Start GIMP
2.
3.

Actual results:
GIMP-Error: Failed to load data:

Couldn't recognize the image file format for file '/usr/share/gimp/2.0/patterns/GPS-Pat/Canvas-Covered.xcf'

Expected results:
No errors.

Additional info:
gimp-2.8.10-4.fc20.x86_64

Comment 1 Daniel Hazelton 2014-11-09 08:50:25 UTC
This error is an artifact error - for some reason a basic Gimp image (.XCF) has been put into or left in a directory designated for Gimp pattern (.pat) files. Those files are a different format and used by the clone tool. Removing the file is enough to resolve this bug without creating any problems at all.

I suggest contacting the upstream maintainers about this bug and the simple fix - it is quite possible that they have already fixed it, but it is equally likely that they don't know about it at all.

Comment 2 Luya Tshimbalanga 2014-11-09 20:15:59 UTC
Sorry for the delay. I applied the fix related to the issue and the update will come shortly. I also contacted upstream about that small bug.

Comment 3 Fedora Update System 2014-11-10 01:13:36 UTC
gimp-paint-studio-2.0-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gimp-paint-studio-2.0-8.fc21

Comment 4 Fedora Update System 2014-11-10 01:13:42 UTC
gimp-paint-studio-2.0-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gimp-paint-studio-2.0-8.fc20

Comment 5 Fedora Update System 2014-11-10 01:13:47 UTC
gimp-paint-studio-2.0-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gimp-paint-studio-2.0-8.el6

Comment 6 Fedora Update System 2014-11-10 01:13:52 UTC
gimp-paint-studio-2.0-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gimp-paint-studio-2.0-8.fc19

Comment 7 Fedora Update System 2014-11-10 18:26:44 UTC
Package gimp-paint-studio-2.0-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gimp-paint-studio-2.0-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14673/gimp-paint-studio-2.0-8.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-12-05 01:11:55 UTC
gimp-paint-studio-2.0-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-12-06 02:30:43 UTC
gimp-paint-studio-2.0-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-12-06 10:34:40 UTC
gimp-paint-studio-2.0-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-07 04:34:48 UTC
gimp-paint-studio-2.0-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.